import argparse
from detection.detection_setup import setup


def main():

    ap = argparse.ArgumentParser()
    ap.add_argument("-i", "--input", required=True, help="Uses this input as image for setup")
    ap.add_argument("-s", "--scale", type=float, default=0.25, help="Scales image by this factor (default: x0.25)")
    ap.add_argument("-c", "--config", type=str, default="detection/config.json",
                    help="Saves config under this filename (default: detection/config.json)")

    args = vars(ap.parse_args())
    setup(args['input'], args['config'], args['scale'])


if __name__ == "__main__":
    main()
